VPATH += $(SDK_MIDDLEWARE_DIR)/OSD/src
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(USER_KEYPAD_DIR)/Inc
INCLUDES += -I$(USER_OSD_DIR)/
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_OSD_DIR)/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System

OBJ_MIDDLEWARE_OSD_C = $(wildcard $(SDK_MIDDLEWARE_DIR)/OSD/src/*.c)
OBJ_MIDDLEWARE_OSD_C_NODIR = $(notdir $(OBJ_MIDDLEWARE_OSD_C))
OBJ_MIDDLEWARE_OSD_C_O = $(OBJ_MIDDLEWARE_OSD_C_NODIR:%.c=%.o)
MIDDLEWARE_TARGET_O += $(OBJ_MIDDLEWARE_OSD_C_O)


